yaml-cpp (0.9.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.3.
  * Remove patches, they are all reverse-applicable.
  * Rename libyaml-cpp0.8 -> libyaml-cpp0.9.
  * Update Files-Excluded to googletest-1.13.0.
  * Update symbols from amd64 build log.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 16 Feb 2026 10:31:17 -0600

yaml-cpp (0.8.0+dfsg-9) unstable; urgency=medium

  * Cherry-pick 3 fixes for cmake from upstream
    - 1211.patch
    - 1171.patch
    - 1351.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Oct 2025 17:35:05 +0200

yaml-cpp (0.8.0+dfsg-8) unstable; urgency=medium

  * debian/patches/c9371de7836d113c0b14bfa15ca70f00ebb3ac6f.patch:
    - cherry-pick upstream fix for cmake 4 (Closes: #1113653)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Oct 2025 17:23:25 +0200

yaml-cpp (0.8.0+dfsg-7) unstable; urgency=medium

  * Run wrap-and-sort.
  * Update Standards-Version to 4.7.0, no changes needed.
  * Add my name to the packaging copyright.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 18 Feb 2025 15:10:35 -0600

yaml-cpp (0.8.0+dfsg-6) unstable; urgency=medium

  * Fix hurd build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Oct 2023 17:58:47 +0200

yaml-cpp (0.8.0+dfsg-5) unstable; urgency=medium

  * Revert "Update symbols from build logs."
    - this update FTBFS (Closes: #1054153)
  * Use upstream merged patch to use system googletest version
  * Switch to gnu++20, to avoid gnu++11 being used as default (and
    not being compatible with system gtest)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Oct 2023 09:06:26 +0200

yaml-cpp (0.8.0+dfsg-4) unstable; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 09 Oct 2023 10:43:08 -0500

yaml-cpp (0.8.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 20:08:28 +0200

yaml-cpp (0.8.0+dfsg-2) experimental; urgency=medium

  * Add simple .gitlab-ci.yml to have CI/CD
  * Add proposed upstream patch to fix testsuite on newer glibc/gcc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Aug 2023 09:42:49 +0200

yaml-cpp (0.8.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update soname
  * Drop all patches except for googletest one
  * Update copyright file
  * Update std-version to 4.6.2
  * Fix nocheck build profile
  * Update clean target to remove build directories
  * Drop mipsel hack in rules file
  * Mark the package as M-A
  [ Emrah Ayanoglu ]
  * Update watch file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2023 19:22:16 +0200

yaml-cpp (0.7.0+dfsg-8) unstable; urgency=medium

  * Ack previous NMU, thanks!
  * Add patch from Jochen Sprickerhof to export YAML_CPP_LIBRARIES.
    (Closes: #999594)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Nov 2021 21:48:59 +0100

yaml-cpp (0.7.0+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the symbols file to properly declare libyaml-cpp0.7 as dependency,
    instead of libyaml-cpp.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Nov 2021 07:50:10 +0100

yaml-cpp (0.7.0+dfsg-7) unstable; urgency=medium

  * Add R^3: no
  * Refresh symbols for sh4 and Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Nov 2021 21:46:27 +0100

yaml-cpp (0.7.0+dfsg-6) unstable; urgency=medium

  * Remove Breaks/Replaces on libyaml-cpp0.6.
  * Upload to Sid.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 11 Nov 2021 07:29:18 -0600

yaml-cpp (0.7.0+dfsg-5) experimental; urgency=medium

  * Another symbols update.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 26 Oct 2021 23:28:47 -0500

yaml-cpp (0.7.0+dfsg-4) experimental; urgency=medium

  * Add missing build dependencies.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 19 Oct 2021 06:45:05 -0500

yaml-cpp (0.7.0+dfsg-3) experimental; urgency=medium

  [ Simon Quigley ]
  * Fully update symbols from all architectures.

  [ Gianfranco Costamagna ]
  * Update the googletest patch with an approach that has been proposed
    upstream in: https://github.com/jbeder/yaml-cpp/pull/1035

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 17 Oct 2021 05:55:45 -0500

yaml-cpp (0.7.0+dfsg-2) experimental; urgency=medium

  * Mark some symbols as optional.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 13 Oct 2021 17:29:57 -0500

yaml-cpp (0.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Remove reverse-applicable patches and refresh existing ones.
    - libyaml-cpp0.6 -> libyaml-cpp0.7.
  * Add patch from upstream PR #984 to fix building with the new version.
  * Disable inclusion of the googletest build output.
  * Use the archive googletest instead of an embedded copy.
  * Update Standards-version to 4.6.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 23 Sep 2021 06:31:17 -0500

yaml-cpp (0.6.3-10) unstable; urgency=medium

  * Mark symbols as optional not seen when building with lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Mar 2021 22:04:27 +0100

yaml-cpp (0.6.3-9) unstable; urgency=medium

  * Fix pkg-config and cmake wrong files and paths. LP: #1880419

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 May 2020 17:56:33 +0200

yaml-cpp (0.6.3-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't build tests for DEB_BUILD_OPTIONS=nocheck.
    (Closes: #960167)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 May 2020 10:29:07 +0200

yaml-cpp (0.6.3-7) unstable; urgency=medium

  * Team upload
  [ Adrian Bunk ]
  * From Adrian Bunk, fix other c++ symbols that broke ABI
    (Closes: #959201)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 May 2020 19:26:42 +0200

yaml-cpp (0.6.3-6) unstable; urgency=medium

  * Ack NMUs, thanks a bunch Gianfranco!
    - Add him as a co-maintainer so he doesn't have to grandfather in team
      uploads.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 10 May 2020 14:15:46 -0500

yaml-cpp (0.6.3-5) unstable; urgency=medium

  * Team upload.
  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #843918)
    + Let dh_auto_configure pass cross flags
    + Honour DEB_BUILD_OPTIONS=nocheck

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 May 2020 17:34:48 +0200

yaml-cpp (0.6.3-4) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Use -g1 optimization level to fix FTBFS on mipsel

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 23:34:57 +0200

yaml-cpp (0.6.3-3) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Lower mipsel build to parallel=1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 19:17:53 +0200

yaml-cpp (0.6.3-2) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Fix mipsel build by lowering to parallel=2 there (Closes: #959402)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 15:42:46 +0200

yaml-cpp (0.6.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update also symbols file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 14:15:10 +0200

yaml-cpp (0.6.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Revert ABI changes in new release (Closes: #959201)
    - debian/patches/revert-774f25800e6f19f4b927023c85d1389af322da5e.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 13:15:00 +0200

yaml-cpp (0.6.3-1) unstable; urgency=medium

  * New upstream release (Closes: #958505).
    - Refresh patches.
    - BUILD_SHARED_LIBS -> YAML_BUILD_SHARED_LIBS cmake flag.
    - Update symbols from amd64 build log.
  * Add the following CVE patches:
    - fix-CVE-2017-11692.patch
      + Fixes CVE-2017-11692 (Closes: #870326).
    - fix-unbounded-recursion-depth.patch
      + Fixes CVE-2017-5950 (Closes: #859891).
      + Fixes CVE-2018-20573 (Closes: #918147).
      + Fixes CVE-2018-20574 (Closes: #918145).
      + Fixes CVE-2019-6285 (Closes: #919432, 919430).
  * Migrate to using the debhelper-compat dependency.
  * Bump Standards-version to 4.5.0, no changes needed.
  * Migrate to debhelper 13.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 29 Apr 2020 20:24:07 -0500

yaml-cpp (0.6.2-4) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 07 Jan 2019 16:00:33 -0600

yaml-cpp (0.6.2-3) experimental; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 05 Jan 2019 17:27:47 -0600

yaml-cpp (0.6.2-2) experimental; urgency=medium

  [ Christopher James Halse Rogers ]
  * d/libyaml-cpp0.6.symbols:
    - Add symbols file now that only public symbols are exported
  * d/libyaml-cpp-dev.install:
    - Don't install gtest/gmock headers (Closes: #915575)

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 23 Dec 2018 22:25:40 -0600

yaml-cpp (0.6.2-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.2.0
  * Point Vcs-fields to Salsa
  * Fix watch file

  [ Graham Inggs ]
  * Drop patches no longer needed
  * Drop dependencies on libboost-dev, no longer needed
  * Rename binary package for libyaml-cpp0.6 transition

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Christopher James Halse Rogers ]
  * patches/symbol-visibility.patch: Hide non-public-API symbols.
    - Cuts down the number of exported symbols by over half, and makes
      it more feasible to use a .symbols file
  * d/rules: Use VERBOSE make.
    - Lets the hardening buildlog scanning check that the appropriate
      flags have been passed, and makes it easier to debug build
      failures.

  [ Simon Quigley ]
  * Take over maintainership of the package (Closes: #914853).
  * Depend on debhelper 11.
  * Run wrap-and-sort.
  * Bump Standards-version to 4.2.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Nov 2018 18:23:07 -0600

yaml-cpp (0.5.2-4) unstable; urgency=medium

  * Make the build reproducible (Closes: #808714)
  * Add libboost-dev dependency (Closes: #812851)
  * Fix yaml-cpp 0.5.2 issue (Closes: #814499)
  * Fix lintian warnings: spelling, standards-version, and Vcs-Git

 -- Paul Novotny <paul@paulnovo.us>  Wed, 12 Oct 2016 19:48:11 -0400

yaml-cpp (0.5.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around bug in googletest causing segfault with gcc-6.
    (Closes: #812284)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jul 2016 13:27:16 +0200

yaml-cpp (0.5.2-3) unstable; urgency=medium

  * Fix error in yaml-cpp-config.cmake
  * Disable gtest's use of pthread on hurd and kfreebsd

 -- Paul Novotny <paul@paulnovo.us>  Mon, 30 Nov 2015 16:53:57 -0500

yaml-cpp (0.5.2-2) unstable; urgency=medium

  * Rename libyaml-cpp0.5 to libyaml-cpp0.5v5 for gcc5 transition
    (Closes: #791317)

 -- Paul Novotny <paul@paulnovo.us>  Tue, 04 Aug 2015 18:03:35 -0400

yaml-cpp (0.5.2-1) unstable; urgency=medium

  * Update due to yaml-cpp from Google Code to GitHub
  * Imported Upstream version 0.5.2
  * Remove patches/fix-unit-test.patch, applied upstream
  * Remove patches/remove-conflicting-google-libs.patch, applied upstream

 -- Paul Novotny <paul@paulnovo.us>  Thu, 23 Apr 2015 16:40:20 -0400

yaml-cpp (0.5.1+hg20150210-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Import latest upstream
  * Fix failing unit tests
  * Inject package into collab-maint to enable more people contributing
  * cme fix dpkg-control
  * debhelper 9

  [ Paul Novotny ]
  * Add myself as Uploader
  * Import latest upstream VCS status
  * Fix failing unit tests, update version number
  * Install cmake development files

 -- Andreas Tille <tille@debian.org>  Mon, 09 Feb 2015 13:36:42 +0100

yaml-cpp (0.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #706708)
  * Bump Standards-Version to 3.9.4.
  * libyaml-cpp-dev: remove multiarch path in yaml-cpp.pc to make
    lintian happy.
  * debian/copyright: new Format URI.
  * debian/control: remove Vcs-Svn field.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 30 Aug 2013 18:29:05 +0800

yaml-cpp (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #636985)

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 03 Jun 2012 23:48:30 +0800
